<?php
/**
 * Clase ContEgresoer para Egreso
 *
 * @package    IM
 * @subpackage EgresoCT
 * @author     Willy
 * @version    SVN: $Id: EgresoCT.class.php,v 1.1 2008/02/07 17:43:21 william.taype Exp $ 
 */
class EgresoCT implements interfaceCT{
  /**
  * Funci�n para Guardar el  Egreso
  *
  * @param $o_EgresoBean, objeto bean de Egreso
  * @return booleam
  */
  public function guardar(&$o_EgresoBean){ 
    
    $o_EgresoDP = new EgresoDP($o_EgresoBean);
    return $o_EgresoDP->save();
    
  }
  
  /**
  * Funci�n para Modificar el  Egreso
  *
  * @param $o_EgresoBean, objeto bean de Egreso
  * @return booleam
  */
  public function modificar(&$o_EgresoBean){
    
    $o_EgresoDP = new EgresoDP($o_EgresoBean);
    return $o_EgresoDP->update();
    
  }
  
  /**
  * Funci�n para Eliminar el  Egreso
  *
  * @param $o_EgresoBean, objeto bean de Egreso
  * @return booleam
  */
  public function eliminar($o_EgresoBean){ 
    $o_EgresoDP = new EgresoDP($o_EgresoBean);
    return $o_EgresoDP->delete();
  }
  
  
  public function totalRegistros($o_EgresoBean){
    $o_EgresoBeanDP = new EgresoDP($o_EgresoBean);
    return $o_EgresoBeanDP->selectNumRows();
    
  }
  
  
  /**
  * Funci�n para Seleccionar el  Egreso
  *
  * @param $o_EgresoBeans, objeto bean de Egreso
  * @return booleam
  */
  public function seleccionar($o_EgresoBean){
  
    $o_EgresoDP = new EgresoDP($o_EgresoBean);
    if($o_EgresoBean->getEgresoId()){
      return $o_EgresoDP->selectByPk();
    }else{
      return $o_EgresoDP->select();
    }
      
  }
  
}

